{{ $news_id := "news-list" }}
{{ if not (in (.Page.Scratch.Get "news-container-ids") $news_id) }}
  {{ .Page.Scratch.Add "news-container-ids" (slice $news_id) }}
{{ end }}

{{ $events_id := "events-list" }}
{{ if not (in (.Page.Scratch.Get "events-container-ids") $events_id) }}
  {{ .Page.Scratch.Add "events-container-ids" (slice $events_id) }}
{{ end }}

{{ .Page.Scratch.SetInMap "mustache-templates" "news-cards" "/js/src/templates/news-cards.mustache" }}
{{ .Page.Scratch.SetInMap "mustache-templates" "event-timeline" "/js/src/templates/event-timeline.mustache" }}

<div class="row padding-y-60">
  <div class="container">
    <p>
      With over 425 open source projects and billions of downloads, it’s
      increasingly difficult for any Eclipse contributor to manage security
      best practices across their project and handle their dependencies
      appropriately. Through close collaboration and guidance for our
      community, the Eclipse Foundation makes it easier to mitigate risks in
      open source projects.
    </p>
    <p>
      Transparency and trust are foundational and lead to an improved software
      security posture throughout the Eclipse community. Our security
      initiatives are designed to empower contributors with the knowledge and
      tools to manage OSS security risks effectively. This includes
      vulnerability management and reporting, project security support, best
      practices for repository management, developer training, self-service
      tools, and security advocacy.
    </p>
  </div>
</div>
<section class="row bg-security-grid dark padding-y-60">
  <div class="container">
    <div class="col-sm-9 hidden-xs">
      <img class="img-responsive margin-top-50" src="./images/vulnerability-laptop.png" alt="">
    </div>
    <div class="col-sm-12 col-sm-offset-3">
      <h2 id="report-a-vulnerability">
        Report a Vulnerability
      </h2>
      <p>
        To report a security vulnerability in an Eclipse Foundation Project,
        first, check the project’s repository for a <code>SECURITY.md</code>
        file and follow its instructions. If none exist, you can email the
        Eclipse Foundation Security Team at 
        <a href="mailto:security@eclipse-foundation.org">security@eclipse-foundation.org</a> or
        use the 
        <a href="https://gitlab.eclipse.org/security/vulnerability-reports/-/issues/new?issuable_template=new_vulnerability">dedicated issue tracker</a>. 
      </p>
      <p>
        For the principles under which the Eclipse Foundation manages the
        reporting, management, discussion, and disclosure of vulnerabilities
        discovered in Eclipse software, refer to the
        <a href="/security/policy/">Eclipse Foundation Vulnerability Reporting Policy</a>.
      </p>
      <p>
        For more details on how we handle vulnerability reports, see the
        dedicated chapter in the <a href="/projects/handbook/">Eclipse Project Handbook</a>.
      </p>
    </div>
  </div>
</section>
<section class="known-vulnerabilities-and-advisories-section row row-no-gutters padding-top-30 padding-bottom-10">
  <div class="container">
    <h2 id="known-vulnerabilities-and-advisories">
      Known Vulnerabilities and Advisories
    </h2>
    <p>
      Projects can communicate security information to users through security
      advisories. They describe a vulnerability (or a class of vulnerabilities)
      and the solutions to mitigate risks. They usually contain information on
      which product versions are affected and which contain a fix, including
      workarounds if available.
    </p>
    <div class="col-sm-12">
      <div class="row sharp-card sharp-card-carrot-orange text-white padding-x-20 padding-y-40 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto" src="./images/known-vulnerabilities.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          To see the vulnerabilities affecting Eclipse sites and Projects,
          refer to the <a href="/security/known/">Eclipse Known Vulnerabilities</a> page.
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card sharp-card-carrot-orange text-white padding-x-20 padding-y-40 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto" src="./images/advisories.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          There is a dedicated section about security advisories in the 
          <a href="https://github.com/eclipse-csi/security-handbook/blob/main/docs/vulnerabilities/advisories.md">Eclipse Security Handbook</a>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="row row-no-gutters padding-top-20 padding-bottom-60">
  <div class="container">
    <h2 id="key-services-and-benefits">
      Key Services and Benefits
    </h2>
    <p>
      The Eclipse Foundation’s software security services ensure the integrity,
      authenticity, and compliance of Projects, empowering development teams
      with expert guidance, secure infrastructure, and essential training. By
      prioritising OSS security at every development stage, we help maintain
      the trustworthiness of our open source ecosystem, enabling projects to
      thrive while reducing risks and vulnerabilities.
    </p>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/vulnerability-management.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Vulnerability Management and Reporting <br> (PSIRT &amp; CVE Assignment)
          </h3>
          <p>
            Eclipse Foundation’s Project Security Incident Response Team
            (PSIRT) manages vulnerability reporting, triage, disclosure, and
            remediation, while also acting as a CVE Numbering Authority (CNA).
          </p>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/infra.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Repository Management and <br> Infrastructure Security
          </h3>
          <p>
            Best practices in repository management through self-service tools
            and the management of overall infrastructure security.
          </p>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/protect.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Project Security Support
          </h3>
          <p>
            Infrastructure support, OSS security audits, and guidance to help
            Projects improve their overall security posture.
          </p>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/code.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Code and Artifacts Signing
          </h3>
          <p>
            Supports code and artifact signing to verify the authenticity and
            integrity of software releases.
          </p>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/advocacy.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Security Advocacy and Communication
          </h3>
          <p>
            Provides both inward (to all contributors) and outward (to the
            general technical public) communication to raise awareness and
            guide security best practices and achievements.
          </p>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="row sharp-card padding-x-20 padding-y-20 margin-10 match-height-item-by-row">
        <div class="col-sm-4">
          <img class="img-responsive margin-x-auto margin-top-20" src="./images/training.png" alt="" width="50">
        </div>
        <div class="col-sm-19 col-sm-offset-1">
          <h3 class="fs-4 fw-500">
            Developer Training
          </h3>
          <p>
            Educational programs to help developers learn best practices,
            secure coding principles, and vulnerability management.
          </p>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="row bg-security-grid dark padding-y-60">
  <div class="container">
    <div class="col-sm-12">
      <h2 id="about-the-eclipse-foundation-security-team">
        About the Eclipse Foundation <br> Security Team
      </h2>
      <p>
        The Eclipse Foundation (EF) Security Team is the part of the Eclipse
        Management Organization (EMO) tasked with software security and
        vulnerability coordination and management on behalf of the Eclipse
        community. It is composed of a small number of security experts. 
      </p>
      <p>
        The EF Security Team does not resolve vulnerabilities; rather, they are
        addressed and resolved by a project's security team and committers with
        guidance and assistance from the EF Security Team. The EF Security team
        triages and redirects vulnerability reports to the appropriate project.
      </p>
    </div>
    <div class="col-lg-8 col-lg-offset-4 col-sm-12 margin-top-40">
      <div class="security-contact">
        <img class="security-contact-bg" src="./images/laptop.png" alt="">
        <div class="security-contact-content">
          <img class="security-contact-email-icon" src="./images/email.png" alt="">
          <div class="security-contact-text">
            <p>
              Email the Eclipse Foundation
              <br> 
              Security Team at
              <br>
              <a href="mailto:security@eclipse-foundation.org">security@eclipse-foundation.org</a>
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="row padding-top-60 padding-bottom-40">
  <div class="container">
    <div class="col-sm-8">
      <h2 class="margin-bottom-30" id="insights-and-resources">
        Insights &amp; Resources
      </h2>
      <!-- Uncomment once more resources are available and the resources page is unset from draft.
      <a class="view-all-btn btn btn-l btn-primary" href="/security/resources/">
        View All
      </a>
      -->
    </div>
    <div class="col-sm-16">
      <!-- Newsroom Resources -->
      <div class="newsroom-resources" 
        data-res-title=""
        data-res-type="case_study, white_paper, market_report, social_media_kit"
        data-res-template="cover"
        data-res-limit="3"
        data-res-wg="security"
      ></div>
    </div>
    <div class="col-xs-24 margin-top-30">
      <div class="eclipsefdn-video-list" data-playlist-ids="PLy7t4z5SYNaT7JN8FIVTGAy1QUnLTdv9R"></div>
    </div>
  </div>
</section>
<section class="row row-no-gutters padding-bottom-60">
  <div class="container">
    <h2 class="margin-bottom-30" id="related">Related Industry Collaborations and Projects</h2>
    <ul class="related-list fs-lg">
      <li>
        <a class="link-unstyled related-item" href="https://github.com/eclipse-csi/">
          <img class="img-responsive" src="./images/csi.png" alt="">
          <p>Eclipse Common Security Infrastructure</p>
        </a>
      </li>
      <li>
        <a class="link-unstyled related-item" href="https://orcwg.org">
          <img class="img-responsive" src="./images/orc.png" alt="">
          <p>Open Regulatory Compliance Working Group</p>
        </a>
      </li>
    </ul>
  </div>
</section>
<section class="row row-no-gutters padding-bottom-60">
  <div class="container">
    <h2 class="" id="news-and-events">News &amp; Events</h2>
    <!-- News -->
    <div class="col-xs-24 col-sm-11 col-sm-offset-0 margin-top-20">
      <div class="feed-list feed-list-vertical feed-list-bordered news-section-container match-height-item">
          <div class="feed-actions feed-actions-ratio-3x5 news-section-action">
            <img class="feed-actions-img" src="./images/news.jpg" alt="" />
            <div class="feed-actions-btns">
              <button 
                type="button" 
                class="btn btn-secondary" 
                data-toggle="modal" 
                data-target="#subscription-modal"
              >
                <i class="fa fa-rss margin-right-5" aria-hidden="true"></i>Subscribe
              </button>
              <a class="btn btn-primary" href="/security/news/">View All</a>
            </div>
          </div>
          <div
            class="news-items news-cards"
            id="{{ $news_id }}"
            data-news-count="3"
            data-template-id="news-cards"
            data-publish-target="security"
            >
          </div>
      </div>
    </div>
    <!-- Events -->
    <div class="col-xs-24 col-sm-11 col-sm-offset-2 margin-top-20">
      <div class="events-feed-list feed-list feed-list-vertical feed-list-bordered match-height-item">
        <div class="feed-actions feed-actions-ratio-3x5 news-section-action">
          <img class="feed-actions-img" src="./images/events.jpg" alt="" />
          <div class="feed-actions-btns">
            <a class="btn btn-secondary" href="https://newsroom.eclipse.org/node/add/events">Submit an Event</a>
            <a class="btn btn-primary" href="/security/events/">View All</a>
          </div>
        </div>
        <div
          class="events-list padding-20 h-100"
          id="{{ $events_id }}"
          data-count="4"
          data-template-id="event-timeline"
          data-publish-target="security"
          data-upcoming="1"
        >
          <div class="events-container h-100" id="events-container"></div>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- News Subscription Dialog -->
<div class="modal fade" tabindex="-1" role="dialog" id="subscription-modal" aria-labelledby="subscription-modal-title">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-body text-center">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <i class="fa fa-close" aria-hidden="true"></i>
        </button>
        <h4 class="modal-title margin-bottom-40" id="subscription-modal-title">
          Subscribe to Updates from <br> our Security Team
        </h4>
        <a class="btn btn-primary" href="https://newsroom.eclipse.org/rss/news/security/news.xml">
          <i class="fa fa-rss margin-right-5" aria-hidden="true"></i>
          Subscribe to News
        </a>
        <a class="btn btn-primary" href="https://newsroom.eclipse.org/rss/news/security/announcements.xml">
          <i class="fa fa-rss margin-right-5" aria-hidden="true"></i>
          Subscribe to Announcements
        </a>
      </div>
    </div>
  </div>
</div>
